local coroutineEntity = monocle.Entity()

function onTalk(room)
  disableMovement()
  coroutine.yield(getLevel():ZoomTo(vector2(160, 90), 1.3, 4))
  say("crystalTalkSolaris3")
  wait(0.5)
  player.ForceCameraUpdate = false
  player.ForceCameraUpdate = true
  setFlag("crystalTalkBlackFade", true)
  say("crystalTalkStellaris_B")
  setFlag("DonkLuxCrystal_ManStella", True)
  setFlag("crystalTalkBlackFade", false)
  playSound("event:/Donk_SolarisBDay/StarGet", player.Position)
  wait(0.5)
  say("FallenStarGet")
  coroutine.yield(engine.Scene:ZoomBack(2))
end

function onEnd(room, wasSkipped)
  player.ForceCameraUpdate = true
  getLevel():ResetZoom()
  setFlag("DonkLuxCrystal_ManStella", True)
  setFlag("crystalTalkBlackFade", false)
  enableMovement()
end